package daruma.sql;

import daruma.sql.DatabaseConnectionFactory;
import daruma.sql.MySQLDatabaseConnection;

public class MySQLDatabaseConnectionFactory extends DatabaseConnectionFactory
{
	public	MySQLDatabaseConnectionFactory()
					 throws DatabaseConnectionException
	{
		super.loadClass();
	}


	// implementation of DatabaseConnectionFactory.getDriverClass()
	public	String	getDriverClass()
	{
		return( "com.mysql.jdbc.Driver" );
	}


	// implementation of DatabaseConnectionFactory.create()
	public	DatabaseConnection	create()
	{
		return( new MySQLDatabaseConnection() );
	}
}
